Debian Bug report logs - #471635
soundtouch: FTBFS: /bin/sh: @mkdir_p@: command not found

version graph

Package: soundtouch; Maintainer for soundtouch is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 19 Mar 2008 08:46:50 UTC

Severity: serious

Tags: patch

Found in version 1.3.0-2.2

Fixed in version soundtouch/1.3.0-2.3

Done: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#471635; Package soundtouch. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: soundtouch: FTBFS: /bin/sh: @mkdir_p@: command not found
Date: Wed, 19 Mar 2008 10:38:43 +0100
Package: soundtouch
Version: 1.3.0-2.2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080318 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
> make[3]: Entering directory `/build/user/soundtouch-1.3.0/build-tree/SoundTouch-1.3.0/include'
> make[3]: Nothing to be done for `install-exec-am'.
> test -z "/usr/include/soundtouch" || @mkdir_p@ "/build/user/soundtouch-1.3.0/debian/tmp//usr/include/soundtouch"
> /bin/sh: @mkdir_p@: command not found
> make[3]: *** [install-pkgincludeHEADERS] Error 127

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/03/18

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#471635; Package soundtouch. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #10 received at 471635@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 471635@bugs.debian.org
Cc: mhy@debian.org
Subject: soundtouch: diff for NMU version 1.3.0-2.3
Date: Sat, 5 Apr 2008 12:54:23 +0100
[Message part 1 (text/plain, inline)]
tags 471635 + patch
thanks

Here's a proposed patch. Anyone want to do a sponsored upload?

soundtouch (1.3.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Forcibly run automake as well as aclocal, ensuring that the versions of
    automake and aclocal used are in sync (Closes: #471635).
    - Use aclocal 1.8, not 1.7 as in the previous NMU, since that appears to
      be the version used upstream
  * Make lintian slightly happier:
    - move -dev package to libdevel
    - correctly use the word "Copyright", not just (C), in debian/copyright

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sat, 05 Apr 2008 11:56:51 +0100
[soundtouch-1.3.0-2.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@ianadd.pseudorandom.co.uk> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:57:04 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 471635-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 471635-close@bugs.debian.org
Subject: Bug#471635: fixed in soundtouch 1.3.0-2.3
Date: Sat, 05 Apr 2008 12:17:23 +0000
Source: soundtouch
Source-Version: 1.3.0-2.3

We believe that the bug you reported is fixed in the latest version of
soundtouch, which is due to be installed in the Debian FTP archive:

libsoundtouch1-dev_1.3.0-2.3_amd64.deb
  to pool/main/s/soundtouch/libsoundtouch1-dev_1.3.0-2.3_amd64.deb
libsoundtouch1c2_1.3.0-2.3_amd64.deb
  to pool/main/s/soundtouch/libsoundtouch1c2_1.3.0-2.3_amd64.deb
soundstretch_1.3.0-2.3_amd64.deb
  to pool/main/s/soundtouch/soundstretch_1.3.0-2.3_amd64.deb
soundtouch_1.3.0-2.3.diff.gz
  to pool/main/s/soundtouch/soundtouch_1.3.0-2.3.diff.gz
soundtouch_1.3.0-2.3.dsc
  to pool/main/s/soundtouch/soundtouch_1.3.0-2.3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 471635@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@ianadd.pseudorandom.co.uk> (supplier of updated soundtouch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 11:56:51 +0100
Source: soundtouch
Binary: libsoundtouch1-dev libsoundtouch1c2 soundstretch
Architecture: source amd64
Version: 1.3.0-2.3
Distribution: unstable
Urgency: low
Maintainer: Guenter Geiger (Debian/GNU) <geiger@debian.org>
Changed-By: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Description: 
 libsoundtouch1-dev - development files for sound stretching library
 libsoundtouch1c2 - sound stretching library
 soundstretch - Stretches and pitch-shifts sound independently
Closes: 471635
Changes: 
 soundtouch (1.3.0-2.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Forcibly run automake as well as aclocal, ensuring that the versions of
     automake and aclocal used are in sync (Closes: #471635).
     - Use aclocal 1.8, not 1.7 as in the previous NMU, since that appears to
       be the version used upstream
   * Make lintian slightly happier:
     - move -dev package to libdevel
     - correctly use the word "Copyright", not just (C), in debian/copyright
Files: 
 b06098100a5e2eef16ffb31332d64891 676 libs optional soundtouch_1.3.0-2.3.dsc
 1f0c09af75a62707996b529b53936778 8190 libs optional soundtouch_1.3.0-2.3.diff.gz
 8d0b62065ecc5f0d88571489ec6edbc4 53378 libdevel optional libsoundtouch1-dev_1.3.0-2.3_amd64.deb
 af4968584f084a531d89d1c1b6f73795 27358 libs optional libsoundtouch1c2_1.3.0-2.3_amd64.deb
 4ba7316a010019fd6729a65141d865fa 24918 sound optional soundstretch_1.3.0-2.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92v3NIW6CNDsByMRAgEXAJ9ZzOaRImcfePlVt9Z46Q6SquZuLgCfbQbK
LJXUURhU64vbtIWlEFOOyxc=
=JivY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 May 2008 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:46:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.